(*
   Copyright 2012 by Mark Weyer

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

;;

let groupname = Sys.argv.(1)  in
let gric = Sys.argv.(2)  in
let parts = List.tl (List.tl (List.tl (Array.to_list Sys.argv)))  in

print_string ("\n\
< gen_"^groupname^".ml\n\
oinm4ocaml -lexer xpmlex -program gen_"^groupname^" gen_"^groupname^".ml\n\
{}\n\
\n\
%generated gen_"^groupname^"\n");

List.iter (fun part -> print_string ("\n\
< gen_"^groupname^"\n\
./gen_"^groupname^" "^gric^" "^part^"\n\
> "^part^".png\n"))
  parts;

print_string "\n\
< "; List.iter (fun part -> print_string (part^".png ")) parts;
print_string ("\n\
touch "^groupname^"\n\
> "^groupname^"\n");

